package org.objectweb.jonas.jtests.beans.ejbql;

import java.util.Collection;
import java.util.Date;

import javax.ejb.FinderException;

// CreditCard EJB's local home interface
public interface CreditCardHomeLocal extends javax.ejb.EJBLocalHome {

  public CreditCardLocal create(Date exp, String numb, String name, String org)
                      throws javax.ejb.CreateException;

  public CreditCardLocal findByPrimaryKey(Object primaryKey)
                      throws javax.ejb.FinderException;

  public Collection findAllCreditCards() throws FinderException;
}
